*{
    margin: 0;
    padding:0;
    box-sizing: border-box;
}

body{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: whitesmoke;
}

.calculator-card{
    background-color: #212121;
    max-width: 500px;
    box-shadow: 0 0 4px black;
    font-family: Arial, sans-serif;
    border-radius: 15px;
    overflow: hidden;
}

#display {
    width: 100%;
    padding: 20px;
    font-size: 5rem;
    background-color: #3b3b3b;
    color: white;
    text-align: end;
    border: 5px solid #212121;
    border-top-left-radius: 18px;
    border-top-right-radius: 18px;
    cursor: default;
}

#keys{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 10px;
    padding: 25px;
}


button{
    width: 100px;
    height: 100px;
    border-radius: 25px;
    border: none;
    cursor: pointer;
    background-color: #3D3D3D;
    color: white;
    font-size: 4rem;
    transition: 0.1s ease;
}

button:last-child{
    grid-column: 4;
    background-color: #757575;
}

button:last-child:hover{
    background-color:#979797 ;
}

button:hover{
    background-color: rgb(149, 149, 149);
}

.equal{
    background-color: #42A5F5;
}


.operator-btn{
    background-color: #1E88E5;
    transition: 0.1s ease;
}

.operator-btn:hover,
.equal:hover{
    background-color: rgb(0, 110, 255);
}

.multi-img{
    height: 25px;
    display: flex;
    margin: 0 auto 0;
    filter: invert(1);
}



@media (width < 400px) {
    .calculator-card{
        height: 650px;
    }
    button{
        width: 100%;
        border-radius: 0;
        border: 1px solid black;
    }

    #display {
        font-size: 4rem;
        padding: 10px;
    }

    #keys{
        padding: 0px;
        gap: 0px;
    }


}


@media ( 400px < width < 450px) {
    button{
        transform: scale(0.85);
    }

    #display {
        font-size: 4rem;
        padding: 10px;
    }

    #keys{
        padding: 0px;
        gap: 0px;
    }
}

@media ( 450px< width < 525px) {
    button{
        transform: scale(0.95);
    }

    #display {
        font-size: 4rem;
        padding: 10px;
    }

    #keys{
        padding: 20px;
    }
}
